commit:     80b2356461716526bc14ae0e24987981a59b1e5b
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 05:38:52 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Tue Mar 21 05:40:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80b23564

net-libs/gupnp: bump to 1.0.2

Package-Manager: Portage-2.3.4, Repoman-2.3.1

 net-libs/gupnp/Manifest           |  1 +
 net-libs/gupnp/gupnp-1.0.2.ebuild | 73 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-libs/gupnp/Manifest b/net-libs/gupnp/Manifest
index fc2aafd356d..9c4bc29fd4f 100644
--- a/net-libs/gupnp/Manifest
+++ b/net-libs/gupnp/Manifest
@@ -1,2 +1,3 @@
 DIST gupnp-0.20.18.tar.xz 409712 SHA256 
c5e0e11061f8d0ff9c8dccc196f39c45a49c0153c9a72abf6290ab34d1cbb021 SHA512 
553e2b55434f6a8e084c656d30017b671842a06ad1c6b8b0739f9f81693d3d18061e2e5b3294f247b11b2b95368ad00c89e13d3db5fc04a3b3549593c7f73a5f
 WHIRLPOOL 
2b594f39d5deae1ef393a503752e969a213e295ac9f83f0721d0193168624a39b58bdedbfe12ffd6c2db2e7ea54a8eb38dfa6c5349d9692db07d5295754f741f
 DIST gupnp-1.0.1.tar.xz 421920 SHA256 
934584cc1b361bf251a5ac271ffb1995a3c6426ce44cb64f9c6d779f2af9a6d9 SHA512 
907aed86a31972668a57252183a4acde518fdf4f2af1a12277c4cb723f3b6b8748bca23fad9165fa6d440c30748bf58db334a27db089d212e72564093dea2215
 WHIRLPOOL 
19888759b0e3d0faad0ce82fd319afcf823ffd19960944546872eecc93fc44db4ca11cb3d9ab3a80d863359e9fcec1199054b092ed2a241779866bde360bfc9d
+DIST gupnp-1.0.2.tar.xz 421792 SHA256 
5173fda779111c6b01cd4a5e41b594322be9d04f8c74d3361f0a0c2069c77610 SHA512 
a22082b10725abe233a8b3212a988a7c7e52a617aefe2029f25572d371560264cddd15eab2ad4637880b4be3b4bdb85dbc5c47c8da338667152c86eaecd7e165
 WHIRLPOOL 
ac7c07d93eaa70f02cdb611954ef912fb8947c23b9e39a155923bb25612da0afec91a661a8059a54cf9693bc0a9a8060f4103bd316fc06ba39c62d9580efa65a

diff --git a/net-libs/gupnp/gupnp-1.0.2.ebuild 
b/net-libs/gupnp/gupnp-1.0.2.ebuild
new file mode 100644
index 00000000000..6a24cc8ff1d
--- /dev/null
+++ b/net-libs/gupnp/gupnp-1.0.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+VALA_USE_DEPEND="vapigen"
+# FIXME: Claims to works with python3 but appears to be wishful thinking
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit gnome2 multilib-minimal python-r1 vala
+
+DESCRIPTION="An object-oriented framework for creating UPnP devs and control 
points"
+HOMEPAGE="https://wiki.gnome.org/Projects/GUPnP";
+
+LICENSE="LGPL-2"
+SLOT="0/4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="connman +introspection kernel_linux networkmanager"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       ?? ( connman networkmanager )
+"
+
+# prefix: uuid dependency can be adapted to non-linux platforms
+RDEPEND="${PYTHON_DEPS}
+       >=net-libs/gssdp-0.14.15:0=[introspection?,${MULTILIB_USEDEP}]
+       >=net-libs/libsoup-2.48.0:2.4[introspection?,${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}]
+       >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+       >=sys-apps/util-linux-2.24.1-r3[${MULTILIB_USEDEP}]
+       introspection? (
+                       >=dev-libs/gobject-introspection-1.36:=
+                       $(vala_depend) )
+       connman? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
+       networkmanager? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
+       !net-libs/gupnp-vala
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.14
+       sys-devel/gettext
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+       use introspection && vala_src_prepare
+       gnome2_src_prepare
+}
+
+multilib_src_configure() {
+       local backend=unix
+       use kernel_linux && backend=linux
+       use connman && backend=connman
+       use networkmanager && backend=network-manager
+
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               $(multilib_native_use_enable introspection) \
+               --disable-static \
+               --with-context-manager=${backend}
+
+       if multilib_is_native_abi; then
+               ln -s "${S}"/doc/html doc/html || die
+       fi
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       python_foreach_impl python_doscript tools/gupnp-binding-tool
+}

Reply via email to